List schedules
Returns paginated schedule groups, each with its nested interview events. Record timestamp filters narrow the schedule records and are combined with IDs when supplied. Use the cursor to continue the same filtered result set.
curl --request GET \
--url https://api.modernloop.io/v1/schedules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modernloop.io/v1/schedules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modernloop.io/v1/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "sch_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"application": {
"id": "app_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"candidate": {
"id": "can_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"job": {
"id": "job_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"stage": {
"id": "stg_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
}
},
"status": "SCHEDULED",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"interviews": [
{
"id": "int_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"schedule_id": "sch_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>",
"start_at": "2023-11-07T05:31:56Z",
"end_at": "2023-11-07T05:31:56Z",
"timezone": "<string>",
"status": "SCHEDULED",
"application": {
"id": "app_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"candidate": {
"id": "can_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"job": {
"id": "job_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"stage": {
"id": "stg_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
}
},
"interviewers": [
{
"id": "usr_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>",
"role": "INTERVIEWER",
"interview_module": {
"id": "mod_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"name": "<string>"
},
"rsvp": "ACCEPTED"
}
],
"video_meeting_url": "<string>",
"is_debrief": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"app_url": "<string>"
}
],
"task": {
"id": "tsk_a1b2c3d4e5f64789a1b2c3d4e5f64789"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"app_url": "<string>"
}
],
"pagination": {
"next_cursor": "<string>"
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}Authorizations
API tokens are passed as Bearer tokens.
Query Parameters
Opaque pagination cursor from the previous page's pagination.next_cursor, bound to the same query filters.
Page size. Must be between 1 and 100; defaults to 25.
1 <= x <= 100Comma-separated list of IDs; maximum 100 values.
1a schedule ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.
^(?:sch_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Filters records created at or after this timestamp.
Filters records created at or before this timestamp.
Filters records updated at or after this timestamp.
Filters records updated at or before this timestamp.
Was this page helpful?
